Bug 624841 - Crash-Dump Configuration to encrypted filesystem should produce warning
Crash-Dump Configuration to encrypted filesystem should produce warning
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 17:26 EDT by Frederik Bijlsma
Modified: 2016-05-31 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederik Bijlsma 2010-08-17 17:26:43 EDT
Description of problem:
When configuring an encrypted filesystem (e.g. on a notebook) as crash-target setting system-config-kdump should warn that ootb this setting will not work.
Especially for notebook users also wifi access for crash dumping will not work as well out of the box.

Cases where kdump is not expected to work should be documented and warned of.

Version-Release number of selected component (if applicable):
system-config-kdump 1.0.0

How reproducible:
configure the default setting of system-config-kdump on an encrypted filesystem with /var/crash and crash the system. It cant mount the /var/crash filesystem.

Steps to Reproduce:
1. configure kdump default settings with system-config-kdump
2. crash the system
  
Actual results:
Failure to mount the /var/crash directory

Expected results:
Warning that crashing to encrypted /var/crash is not possible or automatical configuration mounting the encrypted /var/crash.
Comment 1 Roman Rakus 2010-09-30 07:50:00 EDT
(In reply to comment #0)
> Description of problem:
> When configuring an encrypted filesystem (e.g. on a notebook) as crash-target
> setting system-config-kdump should warn that ootb this setting will not work.
> Especially for notebook users also wifi access for crash dumping will not work
> as well out of the box.
Warning sounds good
> 
> Cases where kdump is not expected to work should be documented and warned of.
Yep, good idea. Feel free to provide such document :)
> 
> Version-Release number of selected component (if applicable):
> system-config-kdump 1.0.0
This is not true. There is a bug for this. The right version is obtained from rpm.
> 
> How reproducible:
> configure the default setting of system-config-kdump on an encrypted filesystem
> with /var/crash and crash the system. It cant mount the /var/crash filesystem.
> 
> Steps to Reproduce:
> 1. configure kdump default settings with system-config-kdump
> 2. crash the system
> 
> Actual results:
> Failure to mount the /var/crash directory
> 
> Expected results:
> Warning that crashing to encrypted /var/crash is not possible or automatical
> configuration mounting the encrypted /var/crash.

I guess there is too much options where kdump will not work. The best should be to document this like "you can setup whatever you want, but some settings will not work" with some examples.
Comment 2 Bug Zapper 2011-06-01 07:19:56 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:31:19 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.